package com.steering.pss.qcm.model;

/**
 * 数据库表QCM_PROBLEM_HANDLING所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2024-01-12
 */
@SuppressWarnings("serial")
public class QcmProblemHandlingEntity implements java.io.Serializable {
    /**
     * 炉号
     */
    private String judgeStoveNo = "";
    /**
     * 批号
     */
    private String batchNo = "";
    /**
     * 组号
     */
    private String batchGroudNo = "";
    /**
     * 工序代码(A\B\C\D.....)
     */
    private String processCode = "";
    /**
     * 产线代码
     */
    private String plineCode = "";
    /**
     * 生产产线名称
     */
    private String plineName = "";
    /**
     * 提出人
     */
    private String applyName = "";
    /**
     * 提出时间
     */
    private String applyTime = "";
    /**
     * 提出问题描述
     */
    private String applyDesc = "";
    /**
     * 处理人
     */
    private String handleName = "";
    /**
     * 处理时间
     */
    private String handleTime = "";
    /**
     * 处置措施
     */
    private String handleDesc = "";
    /**
     * 生产合同号（合同号）
     */
    private String proOrderNo = "";
    /**
     * 交货行主键
     */
    private String ordLnDlyPk = "";
    /**
     * 是否传递下工序 0否 1是
     */
    private String processNextFlag = "";

    private String processCodeNext = "";
    /**
     * 确认人
     */
    private String confirmName = "";
    /**
     * 确认时间
     */
    private String confirmTime = "";
    /**
     * 处置结果
     */
    private String handleResult = "";

    public String getConfirmName() {
        return confirmName;
    }

    public void setConfirmName(String confirmName) {
        this.confirmName = confirmName;
    }

    public String getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(String confirmTime) {
        this.confirmTime = confirmTime;
    }

    public String getHandleResult() {
        return handleResult;
    }

    public void setHandleResult(String handleResult) {
        this.handleResult = handleResult;
    }

    public String getProcessCodeNext() {
        return processCodeNext;
    }

    public void setProcessCodeNext(String processCodeNext) {
        this.processCodeNext = processCodeNext;
    }

    /**
     * 炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 批号
     * @return value
     */
    public String getBatchNo() {
        return batchNo;
    }

    /**
     * 批号
     * @param batchNo value
     */
    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    /**
     * 组号
     * @return value
     */
    public String getBatchGroudNo() {
        return batchGroudNo;
    }

    /**
     * 组号
     * @param batchGroudNo value
     */
    public void setBatchGroudNo(String batchGroudNo) {
        this.batchGroudNo = batchGroudNo;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @return value
     */
    public String getProcessCode() {
        return processCode;
    }

    /**
     * 工序代码(A\B\C\D.....)
     * @param processCode value
     */
    public void setProcessCode(String processCode) {
        this.processCode = processCode;
    }

    /**
     * 产线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 产线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 生产产线名称
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 生产产线名称
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 提出人
     * @return value
     */
    public String getApplyName() {
        return applyName;
    }

    /**
     * 提出人
     * @param applyName value
     */
    public void setApplyName(String applyName) {
        this.applyName = applyName;
    }

    /**
     * 提出时间
     * @return value
     */
    public String getApplyTime() {
        return applyTime;
    }

    /**
     * 提出时间
     * @param applyTime value
     */
    public void setApplyTime(String applyTime) {
        this.applyTime = applyTime;
    }

    /**
     * 提出问题描述
     * @return value
     */
    public String getApplyDesc() {
        return applyDesc;
    }

    /**
     * 提出问题描述
     * @param applyDesc value
     */
    public void setApplyDesc(String applyDesc) {
        this.applyDesc = applyDesc;
    }

    /**
     * 处理人
     * @return value
     */
    public String getHandleName() {
        return handleName;
    }

    /**
     * 处理人
     * @param handleName value
     */
    public void setHandleName(String handleName) {
        this.handleName = handleName;
    }

    /**
     * 处理时间
     * @return value
     */
    public String getHandleTime() {
        return handleTime;
    }

    /**
     * 处理时间
     * @param handleTime value
     */
    public void setHandleTime(String handleTime) {
        this.handleTime = handleTime;
    }

    /**
     * 措施及处置结果描述
     * @return value
     */
    public String getHandleDesc() {
        return handleDesc;
    }

    /**
     * 措施及处置结果描述
     * @param handleDesc value
     */
    public void setHandleDesc(String handleDesc) {
        this.handleDesc = handleDesc;
    }

    /**
     * 生产合同号（合同号）
     * @return value
     */
    public String getProOrderNo() {
        return proOrderNo;
    }

    /**
     * 生产合同号（合同号）
     * @param proOrderNo value
     */
    public void setProOrderNo(String proOrderNo) {
        this.proOrderNo = proOrderNo;
    }

    /**
     * 交货行主键
     * @return value
     */
    public String getOrdLnDlyPk() {
        return ordLnDlyPk;
    }

    /**
     * 交货行主键
     * @param ordLnDlyPk value
     */
    public void setOrdLnDlyPk(String ordLnDlyPk) {
        this.ordLnDlyPk = ordLnDlyPk;
    }

    /**
     * 是否传递下工序 0否 1是
     * @return value
     */
    public String getProcessNextFlag() {
        return processNextFlag;
    }

    /**
     * 是否传递下工序 0否 1是
     * @param processNextFlag value
     */
    public void setProcessNextFlag(String processNextFlag) {
        this.processNextFlag = processNextFlag;
    }
}
